<!-- Code is adapted from: https://stackoverflow.com/questions/47228347/collapse-not-working-in-ng-bootstrap-and-angular-4-app-for-navbar-breadcrumb-but -->
<div class="navbar navbar-expand-lg fixed-top navbar-dark bg-primary">
  <div class="container">
    <span>
      <img src="assets/icons/TUM_Web_Logo_neg.svg" alt="TUM" style="max-height: 32px; margin-right: 32px" />
    </span>
    <button
      class="navbar-toggler"
      type="button"
      data-toggle="collapse"
      data-target="#navbarResponsive"
      aria-expanded="false"
      aria-label="Toggle navigation"
      (click)="isCollapsed = !isCollapsed"
      [attr.aria-expanded]="!isCollapsed"
      aria-controls="navbarResponsive"
    >
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarResponsive" [ngbCollapse]="isCollapsed">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" routerLink="/paging" (click)="isCollapsed = true">Paging</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="/scheduling" (click)="isCollapsed = true">Scheduling</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="/hexdump" (click)="isCollapsed = true">Hexdump</a>
        </li>
      </ul>
      <ul class="navbar-nav ms-md-auto">
        <li class="nav-item">
          <a target="_blank" rel="noopener" id="buttonchangelanguage" class="nav-link" (click)="changeLanguage()">
            <fa-icon [icon]="faGlobe"></fa-icon>
            {{ 'language' | translate }}
          </a>
        </li>
        <li class="nav-item">
          <a target="_blank" rel="noopener" class="nav-link" href="https://gitlab.lrz.de/gbs-cm/artemis/uebungstool">
            <fa-icon [icon]="faGitlab"></fa-icon> GitLab</a
          >
        </li>
      </ul>
    </div>
  </div>
</div>

<div class="container" id="content-container">
  <router-outlet></router-outlet>
</div>

<div class="footer">
  <a target="_blank" rel="noopener" href="https://www.ce.cit.tum.de/cm/datenschutz/">{{
    'privacypolicy' | translate
  }}</a>
  <a target="_blank" rel="noopener" href="https://www.ce.cit.tum.de/cm/impressum/">{{ 'imprint' | translate }}</a>
  <a target="_blank" rel="noopener" href="https://gitlab.lrz.de/gbs-cm/artemis/uebungstool/-/issues/new">{{
    'reporterror' | translate
  }}</a>
</div>
